package com.ximai.mes.pro.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;
import lombok.NoArgsConstructor;

/**
 * 退料申请对象 pro_material_return
 *
 * @author generator
 * @date 2024-02-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProMaterialReturn extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @TableId
    private Long materialReturnId;

    /**
     * 申请号
     */
    @Excel(name = "申请号")
    private String applyNo;

    /**
     * 产品ID
     */
    @Excel(name = "产品ID")
    private Long itemId;

    /**
     * 产品编码
     */
    @Excel(name = "产品编码")
    private String itemCode;

    /**
     * sap产品编码
     */
    @Excel(name = "sap产品编码")
    private String sapItemCode;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String itemName;

    /**
     * 任务单ID
     */
    @Excel(name = "任务单ID")
    private Long taskId;

    /**
     * 领料单ID
     */
    @Excel(name = "领料单ID")
    private Long issueLineId;

    /**
     * 工单ID
     */
    @Excel(name = "工单ID")
    private Long workorderId;

    /**
     * 派工记录ID
     */
    @Excel(name = "派工记录ID")
    private Long taskWorkunitId;


    /** 退料原因 */
    @Excel(name = "退料原因")
    private String returnReason;

    /**
     * 退料数量
     */
    @Excel(name = "退料数量")
    private BigDecimal backNum;

    /**
     * 是否合格
     */
    private Integer isQualified;

    /**
     * 批次号
     */
    @Excel(name = "批次号")
    private String batchNo;

    /**
     * 卷号
     */
    @Excel(name = "卷号")
    private String packNo;

    /**
     * 工单号
     */
    @Excel(name = "工单编码")
    private String workorderCode;

    /**
     * 预留字段1
     */
    @Excel(name = "预留字段1")
    private String attr1;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String attr2;

    /**
     * 预留字段3
     */
    @Excel(name = "预留字段3")
    private Integer attr3;

    /**
     * 预留字段4
     */
    @Excel(name = "预留字段4")
    private Integer attr4;

    /** 工作单元编码 */
    @TableField(exist = false)
    private String workunitCode;
    /** 工作单名称 */
    @TableField(exist = false)
    private String workunitName;

    /** 工作中心编码 */
    @Excel(name = "工作中心编码")
    private String workstationCode;

    /** 车间编码 */
    @Excel(name = "车间编码")
    private String workshopCode;


    /**
     * 是的结案
     */
    @Excel(name = "是否结案")
    private String windCase;

    /**
     * 已退数量
     */
    @Excel(name = "已退数量")
    private BigDecimal returnNum;

    /**
     * 预留相关需求的编号
     */
    @Excel(name = "预留相关需求的编号")
    private String requirementNumber;


    /**
     * 预留相关需求的项目编号
     */
    @Excel(name = "预留相关需求的项目编号")
    private String requirementProjectNumber;


}
